import {requestClient} from "#/api/request";

interface ApiResultListData {
    data: Object;
    status: number;
    total: number;
    list: Array<any>;
}

// interface ApiResultInfoData {
//     data: Object;
//     status: number;
//     message: string;
// }
/**
 * 获取游戏记录列表
 */
export async function getGameRecordList(data:any) {
    const params = new URLSearchParams(data); // 创建一个新的URLSearchParams对象
    const queryString = params.toString(); // 转换为查询字符串
    return requestClient.get<ApiResultListData>('/game_record/list?' + queryString);
}